缩放
按住Ctrl键,鼠标滚轮向前用来放大。
按住Ctrl键,鼠标滚轮向后用来缩小。
调整列宽
可以通过鼠标拖拽列标题单元格的右边缘来调整列宽。
可以选择将columnResizeMode设置为GC.Spread.Sheets.ResizeMode.split。
或者使用鼠标双击列标题单元格的右边缘来自动设置列宽。
也可以选择将autoFitType设置为GC.Spread.Sheets.AutoFitType.cellWithHeader。
快捷键
命令
快捷键
复制
Ctrl+C
剪切
Ctrl+X
粘贴
Ctrl+V
进入编辑状态
F2
直接输入
Char
离开编辑状态
Esc
删除
Del
删除并进入编辑状态
BackSpace
提交输入结果, 向下移动
Enter
提交输入结果, 向上移动
Shift + Enter
下一行输入
Alt+Enter, Ctrl+Enter
保存所有插入以及更新的行
Ctrl + Shift + S
上移
Up key
下移
Down key
左移
Left key
右移
Right key
下移
Enter
右移
Tab
左移
Shift + Tab
移至 上/下/左/右 第一个单元格
Ctrl + Arrow
移至下一页
PageDown
移至上一页
PageUp
选择区域扩展至鼠标点击处
Shift + Mouse click
选择区域扩展至指定单元格
Shift + Arrow
剪贴板
可以通过快捷键剪切或者复制然后粘贴至单元格,行或者列处。
剪切: Windows中使用Ctrl + X, Mac中使用Command + X;
复制: Windows中使用Ctrl + C, Mac中使用Command + C;
粘贴: Windows中使用Ctrl + V, Mac中使用Command + V;
或者使用右键菜单,
右键当前的选择区域、一个单元格、行或者列,就会出现右键菜单,之后点击复制或者剪切;
右键新的选择区域或者另一个单元格、行或者列,会再次出现右键菜单,之后点击粘贴;
建议将allowExtendPasteRange设置为true。
拖拽
通过在选中区域的右下角按下鼠标,然后向下移动鼠标,最后恢复按下鼠标可以实现拖拽填充。
通过拖拽当前选中区域的选择框,然后放至目标单元格可以实现拖放。
通过边按下Ctrl键边拖拽选中区域的选择框,然后放至目标单元格可以实现拖拽复制。
/*REPLACE_MARKER*/
/*DO NOT DELETE THESE COMMENTS*/
window.onload = function() {
var spread = new GC.Spread.Sheets.Workbook(document.getElementById("ss"), { sheetCount: 0 });
initSpread(spread);
};
function initSpread(spread) {
spread.suspendPaint();
spread.options.allowExtendPasteRange = true;
spread.options.columnResizeMode = GC.Spread.Sheets.ResizeMode.split;
spread.options.autoFitType = GC.Spread.Sheets.AutoFitType.cellWithHeader;
//init a data manager
var tableName = "Supplier";
var baseApiUrl = getBaseApiUrl();
var apiUrl = baseApiUrl + "/" + tableName;
var dataManager = spread.dataManager();
var myTable = dataManager.addTable("myTable", {
remote: {
read: {
url: apiUrl
}
}
});
//init a table sheet
var sheet = spread.addSheetTab(0, "TableSheet1", GC.Spread.Sheets.SheetType.tableSheet);
sheet.options.allowAddNew = false; //hide new row
//bind a view to the table sheet
myTable.fetch().then(function() {
var view = myTable.addView("myView", [
{ value: "Id", width: 80 },
{ value: "CompanyName", width: 200, caption :"Company Name" },
{ value: "ContactName", width: 150, caption :"Contact" },
{ value: "ContactTitle", width: 200, caption :"Title" },
{ value: "Address", width: 200 },
{ value: "City", width: 150, caption :"City" },
{ value: "State", width: 100, caption :"State" },
{ value: "Region", width: 100, caption :"Region" }
]);
sheet.setDataView(view);
});
spread.resumePaint();
}
function getBaseApiUrl() {
return window.location.href.match(/http.+spreadjs\/SpreadJSTutorial\//)[0] + 'server/api';
}
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta name="spreadjs culture" content="zh-cn" />
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css"
href="$DEMOROOT$/zh/purejs/node_modules/@grapecity-software/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<!-- Promise Polyfill for IE, https://www.npmjs.com/package/promise-polyfill -->
<script src="https://cdn.jsdelivr.net/npm/promise-polyfill@8/dist/polyfill.min.js"></script>
<script src="$DEMOROOT$/zh/purejs/node_modules/@grapecity-software/spread-sheets/dist/gc.spread.sheets.all.min.js"
type="text/javascript"></script>
<script
src="$DEMOROOT$/zh/purejs/node_modules/@grapecity-software/spread-sheets-tablesheet/dist/gc.spread.sheets.tablesheet.min.js"
type="text/javascript"></script>
<script
src="$DEMOROOT$/zh/purejs/node_modules/@grapecity-software/spread-sheets-resources-zh/dist/gc.spread.sheets.resources.zh.min.js"
type="text/javascript"></script>
<script src="$DEMOROOT$/spread/source/js/license.js" type="text/javascript"></script>
<script src="app.js" type="text/javascript"></script>
<link rel="stylesheet" type="text/css" href="styles.css">
</head>
<body>
<div class="sample-tutorial">
<div id="ss" class="sample-spreadsheets"></div>
<div id="optionContainer" class="optionContainer">
</div>
</div>
</html>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
.sample-spreadsheets {
width: 100%;
height: 100%;
overflow: hidden;
float: left;
}

缩放
按住Ctrl键,鼠标滚轮向前用来放大。
按住Ctrl键,鼠标滚轮向后用来缩小。
调整列宽
可以通过鼠标拖拽列标题单元格的右边缘来调整列宽。
可以选择将columnResizeMode设置为GC.Spread.Sheets.ResizeMode.split。
或者使用鼠标双击列标题单元格的右边缘来自动设置列宽。
也可以选择将autoFitType设置为GC.Spread.Sheets.AutoFitType.cellWithHeader。
快捷键
命令
快捷键
复制
Ctrl+C
剪切
Ctrl+X
粘贴
Ctrl+V
进入编辑状态
F2
直接输入
Char
离开编辑状态
Esc
删除
Del
删除并进入编辑状态
BackSpace
提交输入结果, 向下移动
Enter
提交输入结果, 向上移动
Shift + Enter
下一行输入
Alt+Enter, Ctrl+Enter
保存所有插入以及更新的行
Ctrl + Shift + S
上移
Up key
下移
Down key
左移
Left key
右移
Right key
下移
Enter
右移
Tab
左移
Shift + Tab
移至 上/下/左/右 第一个单元格
Ctrl + Arrow
移至下一页
PageDown
移至上一页
PageUp
选择区域扩展至鼠标点击处
Shift + Mouse click
选择区域扩展至指定单元格
Shift + Arrow
剪贴板
可以通过快捷键剪切或者复制然后粘贴至单元格,行或者列处。
剪切: Windows中使用Ctrl + X, Mac中使用Command + X;
复制: Windows中使用Ctrl + C, Mac中使用Command + C;
粘贴: Windows中使用Ctrl + V, Mac中使用Command + V;
或者使用右键菜单,
右键当前的选择区域、一个单元格、行或者列,就会出现右键菜单,之后点击复制或者剪切;
右键新的选择区域或者另一个单元格、行或者列,会再次出现右键菜单,之后点击粘贴;
建议将allowExtendPasteRange设置为true。
拖拽
通过在选中区域的右下角按下鼠标,然后向下移动鼠标,最后恢复按下鼠标可以实现拖拽填充。
通过拖拽当前选中区域的选择框,然后放至目标单元格可以实现拖放。
通过边按下Ctrl键边拖拽选中区域的选择框,然后放至目标单元格可以实现拖拽复制。
<template>
<div class="sample-tutorial">
<gc-spread-sheets class="sample-spreadsheets" @workbookInitialized="initSpread">
</gc-spread-sheets>
</div>
</template>
<script setup>
import GC from "@grapecity-software/spread-sheets";
import { ref } from "vue";
import "@grapecity-software/spread-sheets-tablesheet";
import '@grapecity-software/spread-sheets-resources-zh';
GC.Spread.Common.CultureManager.culture("zh-cn");
import "@grapecity-software/spread-sheets-vue";
const spreadRef = ref(null);
function initSpread(spread) {
spread.suspendPaint();
spread.options.allowExtendPasteRange = true;
spread.options.columnResizeMode = GC.Spread.Sheets.ResizeMode.split;
spread.options.autoFitType = GC.Spread.Sheets.AutoFitType.cellWithHeader;
//init a data manager
var tableName = "Supplier";
var baseApiUrl = getBaseApiUrl();
var apiUrl = baseApiUrl + "/" + tableName;
var dataManager = spread.dataManager();
var myTable = dataManager.addTable("myTable", {
remote: {
read: {
url: apiUrl
}
}
});
//init a table sheet
var sheet = spread.addSheetTab(0, "TableSheet1", GC.Spread.Sheets.SheetType.tableSheet);
sheet.options.allowAddNew = false; //hide new row
//bind a view to the table sheet
myTable.fetch().then(function () {
var view = myTable.addView("myView", [
{ value: "Id", width: 80 },
{ value: "CompanyName", width: 200, caption: "Company Name" },
{ value: "ContactName", width: 150, caption: "Contact" },
{ value: "ContactTitle", width: 200, caption: "Title" },
{ value: "Address", width: 200 },
{ value: "City", width: 150, caption: "City" },
{ value: "State", width: 100, caption: "State" },
{ value: "Region", width: 100, caption: "Region" }
]);
sheet.setDataView(view);
});
spread.resumePaint();
}
function getBaseApiUrl() {
return window.location.href.match(/http.+spreadjs\/SpreadJSTutorial\//)[0] + 'server/api';
}
</script>
<style scoped>
#app {
height: 100%;
}
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.sample-spreadsheets {
width: 100%;
height: 100%;
overflow: hidden;
float: left;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
</style>
<!DOCTYPE html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<title>SpreadJS VUE</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css"
href="$DEMOROOT$/zh/vue3/node_modules/@grapecity-software/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<script src="$DEMOROOT$/zh/vue3/node_modules/systemjs/dist/system.src.js"></script>
<script src="./systemjs.config.js"></script>
<script src="https://cdn.grapecity.com.cn/online/resources/compiler-sfc.esm-browser.js" type="module" defer></script>
<script>
var System = SystemJS;
System.import("./src/app.js");
System.import('$DEMOROOT$/zh/lib/vue3/license.js');
</script>
</head>
<body>
<div id="app"></div>
</body>
</html>
(function (global) {
SystemJS.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true
},
paths: {
// paths serve as alias
'npm:': 'node_modules/',
'cdn:': 'https://cdn.grapecity.com.cn/SpreadJS/package-contents/18.2.0/'
},
packageConfigPaths: [
'./node_modules/*/package.json',
"./node_modules/@grapecity-software/*/package.json",
"./node_modules/@babel/*/package.json",
"./node_modules/@vue/*/package.json"
],
map: {
'vue': "npm:vue/dist/vue.esm-browser.js",
'tiny-emitter': 'npm:tiny-emitter/index.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
"systemjs-babel-build": "npm:systemjs-plugin-babel/systemjs-babel-browser.js",
'@grapecity-software/spread-sheets': 'cdn:spread-sheets/index.js',
'@grapecity-software/spread-sheets-resources-zh': 'cdn:spread-sheets-resources-zh/index.js',
'@grapecity-software/spread-sheets-vue': 'cdn:spread-sheets-vue/index.js',
'@grapecity-software/spread-sheets-tablesheet': 'cdn:spread-sheets-tablesheet/index.js'
},
meta: {
'*.css': { loader: 'systemjs-plugin-css' },
'*.vue': { loader: "../plugin-vue/index.js" }
}
});
})(this);